//
//  TaskStore.swift
//  DoOrDone
//
//  Created by test on 10/10/2019.
//  Copyright © 2019 test. All rights reserved.
//

import Combine


class TaskStore: ObservableObject {
 
    @Published var prioritizedTasks = [
      PrioritizedTasks(
        priority: .Основной,
        names: [
        "Скачать приложение Skol'ko в App store"
          ]
        ),
      PrioritizedTasks(
        priority: .Высокий,
        names: [
            "Сходить на премьеру нового фильма",
            "Выпить 3 литра воды",
            "Не забыть купить хлеб"
        ]
       ),
      PrioritizedTasks(
        priority: .Средний,
        names: [
            "Выгулить черепаху",
            "Найти дешевые авиабилеты"
      ]
     ),
      PrioritizedTasks(
        priority: .Низкий,
        names: [
            "Позвонить Руслану"
      ]
     )
   ]
    
    func getIndex(for Priority: Task.Priority) -> Int {
        prioritizedTasks.firstIndex {  $0.priority == Priority }! 
    }
}


private extension TaskStore.PrioritizedTasks {
    init(priority: Task.Priority, names: [String]) {
        self.init(
            priority: priority,
            tasks: names.map { Task(name: $0) }
        )
    }
}
