//
//  ContentView.swift
//  DoOrDone
//
//  Created by test on 10/10/2019.
//  Copyright © 2019 test. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @ObservedObject var taskStore: TaskStore
    
    @State var modalIsPresented = false
    
    
    
    var body: some View {
        NavigationView {
            List {
                ForEach(taskStore.prioritizedTasks) { index in
                    SectionView(prioritizedTasks: self.$taskStore.prioritizedTasks[index])
                }
            }
        .listStyle(GroupedListStyle())
            .navigationBarTitle("Do or Done?")
            .navigationBarItems(
                leading: EditButton(),
                trailing:
                Button(action: { self.modalIsPresented = true }
                ) {
                    Image("PlusAddv")
                    .resizable()
                        .frame(width: 30, height: 30, alignment: .center)
                    .clipped()
                }
            )
        }
        .sheet(isPresented: $modalIsPresented) {
            NewTaskView(taskStore: self.taskStore)
        }
    }

}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView( taskStore: TaskStore() )
    }
}
