//
//  NewTaskView.swift
//  DoOrDone
//
//  Created by test on 12/10/2019.
//  Copyright © 2019 test. All rights reserved.
//

import SwiftUI

struct NewTaskView: View {
    var taskStore: TaskStore
    
    @Environment(\.presentationMode) var presentationMode

    
    @State var text = "" 
    
    @State var priority: Task.Priority = .Низкий
    
    
    var body: some View {
        Form {
            TextField("Напишите здесь вашу задачу", text: $text)
                .frame(height: 50)
                .multilineTextAlignment(.center)
            
            VStack {
                Text("Приоритет")
                    .multilineTextAlignment(.center)
                Picker("Priority", selection: $priority.caseIndex) {
                    ForEach(Task.Priority.allCases.indices) { priorityIndex in
                        Text(
                            Task.Priority.allCases[priorityIndex].rawValue
                            .capitalized
                        )
                        .tag(priorityIndex)
                    }
                }
                .pickerStyle( SegmentedPickerStyle() )
            }
            
            Button("Добавить") {
                let priorityIndex = self.taskStore.getIndex(for: self.priority)
                self.taskStore.prioritizedTasks[priorityIndex].tasks.append(
                    Task(name: self.text)
                )
                
                self.presentationMode.wrappedValue.dismiss()
            }
            .disabled(text.isEmpty)
            ZStack{
                LottieView(filename: "4227-everyday")
            }
            .frame(width: 360, height: 360)
        .cornerRadius(30)
        .shadow(radius: 30)
        }
    }
}

struct NewTaskView_Previews: PreviewProvider {
    static var previews: some View {
        NewTaskView( taskStore: TaskStore() )
    }
}

