//
//  RowView.swift
//  DoOrDone
//
//  Created by test on 12/10/2019.
//  Copyright © 2019 test. All rights reserved.
//

import SwiftUI


struct RowView: View {
    @Binding var task: Task
    
    
    let checkmark = Image("Completed")
    
    
    var body: some View {
        NavigationLink(
        destination: TaskEditingView(task: $task)
        ) {
            if task.completed {
                checkmark
                .resizable()
                    .frame(width: 35, height: 35, alignment: .center)
                    .clipped()
            } else {
                checkmark.hidden()
            }
            Text(task.name)
                .strikethrough(task.completed)
        }
    }
}


struct RowView_Previews: PreviewProvider {
    static var previews: some View {
        RowView( task: .constant( Task(name: "To Do") ) )
    }
}
